#2 Minor cleanups
Merged 7 years ago by ausil. Opened 7 years ago by till.
till/fedora-packager pkgdb_url  into  master

file modified

file modified
+6 -3
@@ -23,6 +23,9 @@ 

  # WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

  #

  

+ ## constants

+ BUGZILLA_OWNERS_URL="https://admin.fedoraproject.org/pkgdb/api/bugzilla"

+ 

  ## globally used

  file_fadcsvdata=

  file_pkgdbfiledata=
@@ -85,12 +88,12 @@ 

  

  		# download owners

  		tmpfile_owners=$(mktemp -t ${myprog_name}.XXXXXXXXX)

- 		wget --quiet --output-document="${tmpfile_owners}" "https://admin.fedoraproject.org/pkgdb/api/bugzilla"

+ 		wget --quiet --output-document="${tmpfile_owners}" "${BUGZILLA_OWNERS_URL}"

  	

  		# did download of owners succeed?

  		local returncode=$?

  		if (( ${returncode} > 0 )) || [[ ! -s "${tmpfile_owners}" ]] ; then

- 			echo "Could not download informations about owners from"$'\n'"https://admin.fedoraproject.org/pkgdb/lists/bugzilla?tg_format=plain ; aborting!" >&2

+ 			echo "Could not download informations about owners from"$'\n'"${BUGZILLA_OWNERS_URL} ; aborting!" >&2

  			this_finish

  			exit 2

  		fi
@@ -168,7 +171,7 @@ 

  	echo " --fasfile <file>   -- get email or real name from fas-file ; download uri:"

  	echo "   https://admin.fedora.redhat.com/accounts/dump-group.cgi?group=cvsextras&format=csv"

  	echo " --pkgdbfile <file> -- get pkgowners from local file instead of downloading it from:"

- 	echo "   https://admin.fedoraproject.org/pkgdb/lists/bugzilla?tg_format=plain"

+ 	echo "   ${BUGZILLA_OWNERS_URL}"

  	echo " --realname         -- print realname (needs --fasfile <file>)"

  	echo

  	echo " --help             -- this text"

file modified

file modified

no initial comment

rebased

7 years ago

patches need to be signed off on otherwise looks okay

I added the signed-off line

2 new commits added

  • Make scripts executable in GIT
  • Update bugzilla owners URL everywhere
7 years ago

rebased

7 years ago

Pull-Request has been merged by ausil

7 years ago